%if 0%{?el7}
%define dist .el7
%endif

Name:		vcdimager
Version:	2.0.1
Release:	1%{?dist}
Summary:	GNU VCDImager is a full-featured mastering suite for authoring, disassembling and analyzing Video CDs and Super Video CDs.

Group:		Application/Multimedia
License:	GPLv2
URL:		ftp://ftp.gnu.org/gnu/vcdimager/
Source0:	ftp://ftp.gnu.org/gnu/vcdimager/%{name}-%{version}.tar.gz

Buildroot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  gcc gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	libcdio-devel
BuildRequires:	libxml2-devel
%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:	popt-devel
%else
BuildRequires:	popt
%endif

Requires(post):	info
Requires(preun):	info

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
%{summary}

%package -n libvcd-devel
Summary:	Libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:  vcdimager-devel <= 0.7.24-2

%description -n libvcd-devel
%{summary}.

%package static
Summary:	Static libraries for %{name}
Group:		Development/Libraries

%description static
%{summary}.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_infodir}/dir

%post
if [ "$1" = 0 ]
then
	for f in vcd-info.info.gz vcdimager.info.gz vcdxrip.info.gz
	do
		%{_sbindir}/install-info $f %{_infodir}/dir
	done
fi

%preun
if [ $1 = 0 ]
then
	for f in vcd-info.info.gz vcdimager.info.gz vcdxrip.info.gz
	do
		%{_sbindir}/install-info --delete $f %{_infodir}/dir
	done
fi

%files
%doc AUTHORS BUGS ChangeLog* FAQ HACKING INSTALL
%doc NEWS README THANKS TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%{_infodir}/*
%{_mandir}/man1/*.1*

%files -n libvcd-devel
%{_libdir}/*.so
%{_includedir}/libvcd/*.h
%{_libdir}/pkgconfig/*.pc

%files static
%{_libdir}/*.a
%exclude %{_libdir}/*.la

%changelog
* Sun Jul 08 2018 momo-i <webmaster@momo-i.org> - 2.0.1-1
- Update to 2.0.1

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.7.24-7
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.7.24-6
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.74.2-5
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.74.2-4
- update license dir

* Thu Oct 24 2013 momo-i <webmaster@momo-i.org> - 0.74.2-3
- rename vcdimager-devel to libvcd-devel

* Mon Apr  8 2013 momo-i <webmaster@momo-i.org> 0.7.24-2
- infodir changes.

* Thu Apr  4 2013 momo-i <webmaster@momo-i.org> 0.7.24-1
- Initial rpm release.
